
Core - Bug # 42075

Status: Under Review Priority: Must have
Author: Bart Dubelaar Category: DataHandler aka TCEmain
Created: 2012-10-17 Assigned To:
Updated: 2015-01-09 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Copying fails when page has new draft elements 2 or more levels deep
Description

When a page A has a draft subpage B which again has a draft subpage C, then a recursive copy of A will fail in the live workspace.
This is because the initial placeholders for the drafts are included in the copy but the parent check fails for these. If the initial
placeholders are excluded then the copy will succeed.

Steps to reproduce:
1. Enable recursive copying for user
2: Create a page A in the live workspace
3: Add a subpage B to A in a draft workspace
4: Add a subpage C to B in a draft workspace
5: Add a subpage D to A in the live workspace
6. Copy and paste A in the live workspace

You will get an error message and you will see that even though A is copied it does not include D, this is because the copying process
has exited after the failure on the initial placeholders.

Holds for 4.5 up till 6.0.

Related issues:
related to Core - Bug # 36946: Copy paste in live makes draft placeholders vi... Under Review 2012-05-08

History
#1 - 2012-10-17 13:58 - Bart Dubelaar

Probably fixable by extending the patch for #36946 to also omit initial placeholders when copying pages, which is handled in a separate copy function
and not the general one.

#2 - 2013-02-28 00:50 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#3 - 2013-06-13 18:53 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#4 - 2013-07-17 01:08 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/11076

#5 - 2014-01-04 17:57 - Gerrit Code Review

Patch set 11 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076

#6 - 2014-01-27 12:14 - Gerrit Code Review

Patch set 12 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076

#7 - 2014-03-26 22:20 - Gerrit Code Review

Patch set 13 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/11076

#8 - 2015-01-08 21:08 - Gerrit Code Review

Patch set 14 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/11076

#9 - 2015-01-09 09:02 - Gerrit Code Review

Patch set 15 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/11076
